Subject: bug#48518: 13.0.11; LaTeX environment C-c C-e on region doesn't indent properly

From: Arash Esbati <[email-masked]>
Date: Tue, 20 Dec 2022 20:30:04 +0100

Berthold Lorke <[email-masked]> writes:

> It seems that it still doesn't work quite right for any environments
> listed in `LaTeX-indent-environment-list`, for example `equation`,
> `align`, `cases`, `picture`, among many others.

Are you still using 13.0.11?  If yes, can you please update first from
ELPA?  Thanks.

I'm not sure if I understand what you describe.  If I take this .tex
file:

--8<---------------cut here---------------start------------->8---
\documentclass{article}

\begin{document}

Furthermore, I noticed the following.

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
--8<---------------cut here---------------end--------------->8---

Mark the sentence and hit 'C-c C-e equation RET', this is what I get:

--8<---------------cut here---------------start------------->8---
\documentclass{article}

\begin{document}

\begin{equation}
  \label{eq:1}
  Furthermore, I noticed the following.
\end{equation}

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
--8<---------------cut here---------------end--------------->8---

Am I missing something?

Best, Arash